UriResolverRewriteFilter (uri-resolver 1.5.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.datatransfer.resolver

## Class UriResolverRewriteFilter

- java.lang.Object
- - org.gcube.datatransfer.resolver.UriResolverRewriteFilter

- All Implemented Interfaces:
    javax.servlet.Filter

      public class UriResolverRewriteFilter
      extends Object
      implements javax.servlet.Filter

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Nov 20, 2015

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `logger`
    `protected static String` | `SERVLET_RESOLVER_BY_ID`
    `protected static String` | `SMP_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UriResolverRewriteFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `doFilter(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res, javax.servlet.FilterChain chain)`
    `void` | `init(javax.servlet.FilterConfig arg0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SMP_ID

          protected static final String SMP_ID

      See Also:
        Constant Field Values

    - #### SERVLET_RESOLVER_BY_ID

          protected static final String SERVLET_RESOLVER_BY_ID

      See Also:
        Constant Field Values

    - #### logger

          protected static final org.slf4j.Logger logger

  - ### Constructor Detail

    - #### UriResolverRewriteFilter

          public UriResolverRewriteFilter()

  - ### Method Detail

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Filter`

    - #### doFilter

          public void doFilter(javax.servlet.ServletRequest req,
                      javax.servlet.ServletResponse res,
                      javax.servlet.FilterChain chain)
                        throws IOException,
                               javax.servlet.ServletException

      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### init

          public void init(javax.servlet.FilterConfig arg0)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Throws:
        `javax.servlet.ServletException`

Copyright © 2016. All Rights Reserved.